Subject: [avtext] Retransmission rules for RESUME in draft-ietf-avtext-rtp-stream-pause-05

From: Bo Burman <[email-masked]>
Date: Thu, 22 Jan 2015 09:21:48 +0000

While adding text on retransmission of PAUSED ("to increase the probability that the message reaches the receiver in a timely fashion") into the Message Details section, according to comments received at AVTEXT session in Honolulu, I realize it would probably be appropriate to have similar text also for RESUME. There is already text saying that RESUME can be time critical, but there is no specific text mentioning that retransmission can be used to handle possible loss.

For PAUSED, there is no obvious trigger when to stop sending the message as long as the pause condition remains. As commented in Honolulu, I thus added text that while the pause condition remains, PAUSED MAY be sent in every compound RTCP, as long as the negotiated RTCP bandwidth is not exceeded.

For RESUME, there are clear triggers when to stop any retransmissions: when receiving RTP packets from the targeted stream, or when a REFUSED with a valid PauseID for the targeted RTP stream is received, and I suggest clearly stating that too.

Comments?

Cheers,
Bo